
#Counts Down Timer + Deletes Start Sign + Resets Players.
execute if score start data matches 1.. run title @a times 0 20 10
execute if score start data matches 1.. run scoreboard players remove start data 1
execute if score start data matches 1.. run scoreboard players set @a armor 0
execute if score start data matches 1.. as @e[tag=startsign] at @s run setblock ~ ~ ~ air
execute if score start data matches 1.. run spawnpoint @a 0 70 0
execute if score start data matches 1.. run clear @a[tag=spawn]
execute if score start data matches 1.. run kill @e[type=item]
execute if score start data matches 1.. run tag @a remove spawn
execute if score start data matches 139 if score time data matches 0 run time set noon
execute if score start data matches 139 if score time data matches 1 run time set midnight
execute if score start data matches 139 as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 0.5 2



#How to play tellraw.
execute if score start data matches 139 run tellraw @a ["",{"text":"----------------------------------\n \u0020 \u0020 \u0020 \u0020 \u0020 \u0020 ","color":"gold"},{"text":" How to Play","bold":true,"color":"gold"},{"text":"\nSame rules as regular bedwars. Protect\nyour pumpkin and destroy enemy pumpkins.\n\n","color":"gold"},{"text":"Important","bold":true,"color":"gold"},{"text":": You can't break blocks with\nyour fist, you need to be holding an item.\n\nRecommended render distance","color":"gold"},{"text":" 10 ","bold":"true","color":"gold"},{"text":"-","bold":"false","color":"gold"},{"text":" 20","bold":"true","color":"gold"},{"text":"\nGenerator splitting has not been implemented\n----------------------------------","color":"gold"}]



#Displays start countdown title.
execute if score start data matches 120 run title @a title [{"text":"Starting in..","color":"gold"}]
execute if score start data matches 120 run title @a subtitle [{"text":" "}]

execute if score start data matches 100 run title @a subtitle [{"text":"5","color":"gold","bold":"true"}]
execute if score start data matches 100 as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 0.5 0

execute if score start data matches 80 run title @a subtitle [{"text":"4","color":"gold","bold":"true"}]
execute if score start data matches 80 as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 0.5 0

execute if score start data matches 60 run title @a subtitle [{"text":"3","color":"gold","bold":"true"}]
execute if score start data matches 60 as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 0.5 0

execute if score start data matches 40 run title @a subtitle [{"text":"2","color":"gold","bold":"true"}]
execute if score start data matches 40 as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 0.5 0

execute if score start data matches 20 run title @a subtitle [{"text":"1","color":"gold","bold":"true"}]
execute if score start data matches 20 as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 0.5 0



#Sets Up Everything.
execute if score start data matches 0 run effect clear @a weakness
execute if score start data matches 0 run effect clear @a saturation
execute if score start data matches 0 run gamerule fallDamage true 
execute if score start data matches 0 as @a run recipe take @s *
execute if score start data matches 0 run scoreboard players reset @a Kills
execute if score start data matches 0 run scoreboard players set @a armor 1
execute if score start data matches 0 run scoreboard players set @a armor2 1
execute if score start data matches 0 run scoreboard players set emerald spawn 1
execute if score start data matches 0 run scoreboard players set diamond spawn 1
execute if score start data matches 0 run scoreboard players set gold spawn 1
execute if score start data matches 0 run scoreboard players set iron spawn 1
execute if score start data matches 0 run scoreboard players set inGame data 1
execute if score start data matches 0 run gamemode adventure @a[tag=player]
execute if score start data matches 0 run gamemode spectator @a[tag=spec]
execute if score start data matches 0 run scoreboard objectives setdisplay sidebar Bedwars
execute if score start data matches 0 run scoreboard objectives setdisplay list health
execute if score start data matches 0 run team modify red collisionRule pushOwnTeam
execute if score start data matches 0 run team modify white collisionRule pushOwnTeam
execute if score start data matches 0 run team modify purple collisionRule pushOwnTeam
execute if score start data matches 0 run team modify black collisionRule pushOwnTeam



execute if score start data matches 0 if score diamond data matches 1 run tag @a[team=!Spec] add sharp
execute if score start data matches 0 if score diamond data matches 1 run tag @a[team=!Spec] add prot4
execute if score start data matches 0 if score diamond data matches 1 run tag @a[team=!Spec] add haste2
execute if score start data matches 0 if score diamond data matches 1 run tag @a[team=!Spec] add heal
execute if score start data matches 0 if score diamond data matches 1 run tag @e[tag=island,type=armor_stand] add heal


#Places the pumpkins.
execute if score start data matches 0 as @e[tag=redPumpkin] at @s if entity @a[team=red] run setblock ~ ~ ~ carved_pumpkin[facing=north]
execute if score start data matches 0 as @e[tag=whitePumpkin] at @s if entity @a[team=white] run setblock ~ ~ ~ carved_pumpkin[facing=east]
execute if score start data matches 0 as @e[tag=purplePumpkin] at @s if entity @a[team=purple] run setblock ~ ~ ~ carved_pumpkin[facing=south]
execute if score start data matches 0 as @e[tag=blackPumpkin] at @s if entity @a[team=black] run setblock ~ ~ ~ carved_pumpkin[facing=west]



#Tells players how to send a message in team chat.
execute if score start data matches 0 if score Red teamCount matches 2.. run tellraw @a[team=red] [{"text":"Tip: You can use \"/tm <message>\" to send a message in team chat!","color":"green"}]
execute if score start data matches 0 if score White teamCount matches 2.. run tellraw @a[team=white] [{"text":"Tip: You can use \"/tm <message>\" to send a message in team chat!","color":"green"}]
execute if score start data matches 0 if score Purple teamCount matches 2.. run tellraw @a[team=purple] [{"text":"Tip: You can use \"/tm <message>\" to send a message in team chat!","color":"green"}]
execute if score start data matches 0 if score Black teamCount matches 2.. run tellraw @a[team=black] [{"text":"Tip: You can use \"/tm <message>\" to send a message in team chat!","color":"green"}]



#Gives players their sword + Teleports everyone.
execute if score start data matches 0 run tag @a[team=!Spec] add sword
execute if score start data matches 0 run scoreboard players set @a[team=!Spec] sword 1
execute if score start data matches 0 run tp @a[team=red] @e[limit=1,tag=redspawn]
execute if score start data matches 0 run tp @a[team=white] @e[limit=1,tag=whitespawn]
execute if score start data matches 0 run tp @a[team=purple] @e[limit=1,tag=purplespawn]
execute if score start data matches 0 run tp @a[team=black] @e[limit=1,tag=blackspawn]
execute if score start data matches 0 run tp @a[team=Spec] 0 70 0



#Clears The Countdown + Plays Sound.
execute if score start data matches 0 run title @a clear
execute if score start data matches 0 run title @a times 5 20 10
execute if score start data matches 0 as @a at @s run playsound minecraft:entity.player.levelup master @s ~ ~ ~ 0.5 1



#Replaces The Start Sign.
execute if score start data matches 0 as @e[tag=startsign] at @s run setblock ~ ~ ~ dark_oak_sign[rotation=3]{Text1:'{"text":"-=-","color":"gold"}',Text2:'{"text":"Start","color":"gold","bold":true}',Text3:'[{"text":"[","color":"gold"},{"text":"Right Click","color":"gold","bold":true},{"text":"]"}]',Text4:'{"text":"-=-","color":"gold","clickEvent":{"action":"run_command","value":"/scoreboard players set start data 140"}}'} replace
